/*
** Monte Carlo simulations (requires CLARIFY with xtpcse modification)
*/
#delimit ;
version 6.0;

drop _all;
set more off;

loc logfn: log;
if "`logfn'" != "" { log close; };

set log linesize 90;
log using simgdp87, replace;
di "$S_DATE $S_TIME";

loc model1 "auth tenure unemp war gdp87 govfrag ideology";
loc model2 "`model1' eutrade2 fdi";
loc model3 "`model1' tenaut unempaut";
loc model4 "`model3' eutrade2 fdi";

use data, clear;
tsset code year;

estsimp xtpcse gdpdiff gdpd_lg `model2', pair genname(bsim);
setx mean;
setx eutrade2 median fdi median war 0 gdp87 min;
simqi, ev;
setx gdp87 max;
simqi, ev;

log close;
