/*
** Monte Carlo simulations (requires CLARIFY with xtpcse modification)
*/
#delimit ;
version 6.0;

drop _all;
set more off;

loc logfn: log;
if "`logfn'" != "" { log close; };

set log linesize 90;
log using simideol, replace;
di "$S_DATE $S_TIME";

loc model1 "auth tenure unemp war gdp87 govfrag ideology";
loc model2 "`model1' eutrade2 fdi";
loc model3 "`model1' tenaut unempaut";
loc model4 "`model3' eutrade2 fdi";

use data, clear;
tsset code year;

estsimp xtpcse gdpdiff gdpd_lg `model2', pair genname(bsim);
setx mean;
setx war 0 eutrade2 median fdi median gdp87 median;

setx ideology max auth min;     /* right-wing democratic government */
simqi, ev;
setx ideology min auth min;     /* left-wing democratic government */
simqi, ev;
setx ideology 0 auth min;   /* centrist democratic government */
simqi, ev;

setx ideology max auth max;     /* right-wing authoritarian government */
simqi, ev;
setx ideology min auth max;     /* left-wing authoritarian government */
simqi, ev;
setx ideology 0 auth max;     /* centrist authoritarian government */
simqi, ev;

log close;
